Subject: Issue with gpio and pinmux

From: [email-masked] (Damien Riegel)
Date: Thu, 25 Jul 2013 15:20:41 +0200

I don't know about pinctrl background but I don't really get why there
is such a distinction between gpio and other functions in most cases.

I understand that on some arch a pin can be muxed and used as a gpio at
the same time. But on most arch, isn't gpio just another function that
can be muxed on a pin, and therefore we should check that a pin can be
requested as a gpio just by checking desc->mux_owner ?